- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDMaterialInstanceBindVertexInput Class Reference
[COLLADA Effect Classes [ColladaFX]]

A ColladaFX per-instance vertex input binding. More...

`#include <FCDMaterialInstance.h>`

Inheritance diagram for FCDMaterialInstanceBindVertexInput:

List of all members.

## Public Member Functions
| DeclareParameter (fm::string, FUParameterQualifiers::SIMPLE, semantic, FC("Bind Semantic"))
| The token used to identify the effect parameter or varying shader input.
| DeclareParameter (uint32, FUParameterQualifiers::SIMPLE, inputSemantic, FC("Input Semantic"))
| The geometry source type of the data source to bind to the effect parameter.
| DeclareParameter (int32, FUParameterQualifiers::SIMPLE, inputSet, FC("Input Set"))
| The set value of the data source to bind to the effect parameter.
| FCDMaterialInstanceBindVertexInput ()
| Constructor.
virtual | ~FCDMaterialInstanceBindVertexInput ()
| Destructor.
FUDaeGeometryInput::Semantic | GetInputSemantic () const
| Retrieves the input semantic for this vertex-input binding.

## Detailed Description

A ColladaFX per-instance vertex input binding.

This structure is used by the shader to bind its varying inputs to actual data streams from the polygons sets. A common example of this is to identify which texture coordinate set to use for a particular TEXCOORDx stream.

## Member Function Documentation

FCDMaterialInstanceBindVertexInput::DeclareParameter | ( | int32 | ,
|  | FUParameterQualifiers::SIMPLE | ,
|  | inputSet | ,
|  | FC("Input Set") |
| ) |

| The set value of the data source to bind to the effect parameter. A semantic/set pair should always be unique within a polygons set.

FCDMaterialInstanceBindVertexInput::DeclareParameter | ( | uint32 | ,
|  | FUParameterQualifiers::SIMPLE | ,
|  | inputSemantic | ,
|  | FC("Input Semantic") |
| ) |

| The geometry source type of the data source to bind to the effect parameter. See also: FUDaeGeometryInput::Semantic.

FUDaeGeometryInput::Semantic FCDMaterialInstanceBindVertexInput::GetInputSemantic | ( |  | ) | const`[inline]`

| Retrieves the input semantic for this vertex-input binding. Returns: The input semantic.

The documentation for this class was generated from the following file:

- FCDocument/FCDMaterialInstance.h